# OpenLayers.Tween

Summary

OpenLayers.Tween |
Properties |
easing | {<OpenLayers.Easing>(Function)} Easing equation used for the animation Defaultly set to OpenLayers.Easing.Expo.easeOut
begin | {Object} Values to start the animation with
finish | {Object} Values to finish the animation with
duration | {int} duration of the tween (number of steps)
callbacks | {Object} An object with start, eachStep and done properties whose values are functions to be call during the animation.
time | {int} Step counter
minFrameRate | {Number} The minimum framerate for animations in frames per second.
startTime | {Number} The timestamp of the first execution step.
animationId | {int} Loop id returned by OpenLayers.Animation.start
playing | {Boolean} Tells if the easing is currently playing
Constructor |
OpenLayers.Tween | Creates a Tween.
Functions |
start | Plays the Tween, and calls the callback method on each step
stop | Stops the Tween, and calls the done callback Doesn’t do anything if animation is already finished
play | Calls the appropriate easing method
OpenLayers.Easing | Easing Equations by Robert Penner, http://www.robertpenner.com/easing/
OpenLayers.Easing.Linear |
Functions |
easeIn |
easeOut |
easeInOut |
OpenLayers.Easing.Expo |
Functions |
easeIn |
easeOut |
easeInOut |
OpenLayers.Easing.Quad |
Functions |
easeIn |
easeOut |
easeInOut |

### Properties

### easing

{<OpenLayers.Easing>(Function)} Easing equation used for the animation Defaultly set to OpenLayers.Easing.Expo.easeOut

### begin

{Object} Values to start the animation with

### finish

{Object} Values to finish the animation with

### duration

{int} duration of the tween (number of steps)

### callbacks

{Object} An object with start, eachStep and done properties whose values are functions to be call during the animation. They are passed the current computed value as argument.

### time

{int} Step counter

### minFrameRate

{Number} The minimum framerate for animations in frames per second. After each step, the time spent in the animation is compared to the calculated time at this frame rate. If the animation runs longer than the calculated time, the next step is skipped. Default is 30.

### startTime

{Number} The timestamp of the first execution step. Used for skipping frames

### animationId

{int} Loop id returned by OpenLayers.Animation.start

### playing

{Boolean} Tells if the easing is currently playing

### Constructor

### OpenLayers.Tween

Creates a Tween.

#### Parameters

easing | {<OpenLayers.Easing>(Function)} easing function method to use

### Functions

### start

> start: function( | begin,
> | finish,
> | duration,
> | options | )

Plays the Tween, and calls the callback method on each step

#### Parameters

begin | {Object} values to start the animation with
finish | {Object} values to finish the animation with
duration | {int} duration of the tween (number of steps)
options | {Object} hash of options (callbacks (start, eachStep, done), minFrameRate)

### stop

> stop: function()

Stops the Tween, and calls the done callback Doesn’t do anything if animation is already finished

### play

> play: function()

Calls the appropriate easing method

## OpenLayers.Easing

#### Credits

Easing Equations by Robert Penner, http://www.robertpenner.com/easing/

## OpenLayers.Easing.Linear

Summary

Functions |
easeIn |
easeOut |
easeInOut |

### Functions

### easeIn

> easeIn: function( | t,
> | b,
> | c,
> | d | )

#### Parameters

t | {Float} time
b | {Float} beginning position
c | {Float} total change
d | {Float} duration of the transition

#### Returns

{Float}

### easeOut

> easeOut: function( | t,
> | b,
> | c,
> | d | )

#### Parameters

t | {Float} time
b | {Float} beginning position
c | {Float} total change
d | {Float} duration of the transition

#### Returns

{Float}

### easeInOut

> easeInOut: function( | t,
> | b,
> | c,
> | d | )

#### Parameters

t | {Float} time
b | {Float} beginning position
c | {Float} total change
d | {Float} duration of the transition

#### Returns

{Float}

## OpenLayers.Easing.Expo

Summary

Functions |
easeIn |
easeOut |
easeInOut |

### Functions

### easeIn

> easeIn: function( | t,
> | b,
> | c,
> | d | )

#### Parameters

t | {Float} time
b | {Float} beginning position
c | {Float} total change
d | {Float} duration of the transition

#### Returns

{Float}

### easeOut

> easeOut: function( | t,
> | b,
> | c,
> | d | )

#### Parameters

t | {Float} time
b | {Float} beginning position
c | {Float} total change
d | {Float} duration of the transition

#### Returns

{Float}

### easeInOut

> easeInOut: function( | t,
> | b,
> | c,
> | d | )

#### Parameters

t | {Float} time
b | {Float} beginning position
c | {Float} total change
d | {Float} duration of the transition

#### Returns

{Float}

## OpenLayers.Easing.Quad

Summary

Functions |
easeIn |
easeOut |
easeInOut |

### Functions

### easeIn

> easeIn: function( | t,
> | b,
> | c,
> | d | )

#### Parameters

t | {Float} time
b | {Float} beginning position
c | {Float} total change
d | {Float} duration of the transition

#### Returns

{Float}

### easeOut

> easeOut: function( | t,
> | b,
> | c,
> | d | )

#### Parameters

t | {Float} time
b | {Float} beginning position
c | {Float} total change
d | {Float} duration of the transition

#### Returns

{Float}

### easeInOut

> easeInOut: function( | t,
> | b,
> | c,
> | d | )

#### Parameters

t | {Float} time
b | {Float} beginning position
c | {Float} total change
d | {Float} duration of the transition

#### Returns

{Float}

> start: function( | begin,
> | finish,
> | duration,
> | options | )

Plays the Tween, and calls the callback method on each step

> stop: function()

Stops the Tween, and calls the done callback Doesn’t do anything if animation is already finished

> play: function()

Calls the appropriate easing method

> easeIn: function( | t,
> | b,
> | c,
> | d | )

> easeOut: function( | t,
> | b,
> | c,
> | d | )

> easeInOut: function( | t,
> | b,
> | c,
> | d | )

> easeIn: function( | t,
> | b,
> | c,
> | d | )

> easeOut: function( | t,
> | b,
> | c,
> | d | )

> easeInOut: function( | t,
> | b,
> | c,
> | d | )

> easeIn: function( | t,
> | b,
> | c,
> | d | )

> easeOut: function( | t,
> | b,
> | c,
> | d | )

> easeInOut: function( | t,
> | b,
> | c,
> | d | )

Close